package org.diagbot.common.service.impl;

import org.diagbot.common.dao.mapper.StandardInfoMapper;
import org.diagbot.common.dao.model.StandardInfo;
import org.diagbot.common.dao.model.wrapper.StandardInfoWrapper;
import org.diagbot.common.service.StandardInfoService;
import org.diagbot.pub.service.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class StandardInfoServiceImpl extends BaseServiceImpl<StandardInfo, StandardInfoWrapper, Long> implements StandardInfoService {
    @Autowired
    StandardInfoMapper standardInfoMapper;

    @Autowired
    private void setEntityMapper() {
        super.setEntityMapper(standardInfoMapper);
    }

    public List<StandardInfoWrapper> selectNullCategoryIdWrapper() {
        return standardInfoMapper.selectNullCategoryIdWrapper();
    }

    public List<StandardInfo> selectNotNullRelationTerm(Map<String, Object> map) {
        return standardInfoMapper.selectNotNullRelationTerm(map);
    }
}
